var CSSUtils = {
	reCache: {},
	addClass: function(element, className) {
		var re = this._getClassRE(className);
		
		if (!re.test(element.className)) {
			if (element.className == null) {
				element.className = className;
			} else {
				element.className += ((element.className == "" ? "" : " ") + className);
			} 
		}
	},
	removeClass: function(element, className) {
		var re = this._getClassRE(className);
		element.className = element.className.toString().replace(re, "");
	},
	hasClass: function(element, className) {
		var timer = getTimer();
		var re = this._getClassRE(className);
		var test = re.test(element.className);
		stopTimer("hasClass():", timer);
		return test;
	},
	_getClassRE: function(className) {
		if (!this.reCache[className])
			this.reCache[className] = new RegExp("\\b" + className + "\\b");
			
		return this.reCache[className];
	}
}